Kwalitee Issues

no_pax_headers

If you use Mac OS X >= 10.6, use gnu tar (/usr/bin/gnutar) to avoid PAX headers. It's also important to rename (shorten) long file names (>= 100 characters) in the distribution.

Error: ./PaxHeaders.24981/Mojolicious-Plugin-MethodOverride-0.053,./PaxHeaders.24981/Mojolicious-Plugin-MethodOverride-0.053,Mojolicious-Plugin-MethodOverride-0.053/PaxHeaders.24981/README.md,Mojolicious-Plugin-MethodOverride-0.053/PaxHeaders.24981/README.md,Mojolicious-Plugin-MethodOverride-0.053/PaxHeaders.24981/lib,Mojolicious-Plugin-MethodOverride-0.053/PaxHeaders.24981/lib,Mojolicious-Plugin-MethodOverride-0.053/lib/PaxHeaders.24981/Mojolicious,Mojolicious-Plugin-MethodOverride-0.053/lib/PaxHeaders.24981/Mojolicious,Mojolicious-Plugin-MethodOverride-0.053/lib/Mojolicious/PaxHeaders.24981/Plugin,Mojolicious-Plugin-MethodOverride-0.053/lib/Mojolicious/PaxHeaders.24981/Plugin,Mojolicious-Plugin-MethodOverride-0.053/lib/Mojolicious/Plugin/PaxHeaders.24981/MethodOverride.pm,Mojolicious-Plugin-MethodOverride-0.053/lib/Mojolicious/Plugin/PaxHeaders.24981/MethodOverride.pm,Mojolicious-Plugin-MethodOverride-0.053/PaxHeaders.24981/META.yml,Mojolicious-Plugin-MethodOverride-0.053/PaxHeaders.24981/META.yml,Mojolicious-Plugin-MethodOverride-0.053/PaxHeaders.24981/t,Mojolicious-Plugin-MethodOverride-0.053/PaxHeaders.24981/t,Mojolicious-Plugin-MethodOverride-0.053/t/PaxHeaders.24981/pod.t,Mojolicious-Plugin-MethodOverride-0.053/t/PaxHeaders.24981/pod.t,Mojolicious-Plugin-MethodOverride-0.053/t/PaxHeaders.24981/04-override-charset.t,Mojolicious-Plugin-MethodOverride-0.053/t/PaxHeaders.24981/04-override-charset.t,Mojolicious-Plugin-MethodOverride-0.053/t/PaxHeaders.24981/01-override.t,Mojolicious-Plugin-MethodOverride-0.053/t/PaxHeaders.24981/01-override.t,Mojolicious-Plugin-MethodOverride-0.053/t/PaxHeaders.24981/02-override-config.t,Mojolicious-Plugin-MethodOverride-0.053/t/PaxHeaders.24981/02-override-config.t,Mojolicious-Plugin-MethodOverride-0.053/t/PaxHeaders.24981/03-override-noheader.t,Mojolicious-Plugin-MethodOverride-0.053/t/PaxHeaders.24981/03-override-noheader.t,Mojolicious-Plugin-MethodOverride-0.053/t/PaxHeaders.24981/00-load.t,Mojolicious-Plugin-MethodOverride-0.053/t/PaxHeaders.24981/00-load.t,Mojolicious-Plugin-MethodOverride-0.053/PaxHeaders.24981/MANIFEST.skip,Mojolicious-Plugin-MethodOverride-0.053/PaxHeaders.24981/MANIFEST.skip,Mojolicious-Plugin-MethodOverride-0.053/PaxHeaders.24981/inc,Mojolicious-Plugin-MethodOverride-0.053/PaxHeaders.24981/inc,Mojolicious-Plugin-MethodOverride-0.053/inc/PaxHeaders.24981/Module,Mojolicious-Plugin-MethodOverride-0.053/inc/PaxHeaders.24981/Module,Mojolicious-Plugin-MethodOverride-0.053/inc/Module/PaxHeaders.24981/AutoInstall.pm,Mojolicious-Plugin-MethodOverride-0.053/inc/Module/PaxHeaders.24981/AutoInstall.pm,Mojolicious-Plugin-MethodOverride-0.053/inc/Module/PaxHeaders.24981/Install,Mojolicious-Plugin-MethodOverride-0.053/inc/Module/PaxHeaders.24981/Install,Mojolicious-Plugin-MethodOverride-0.053/inc/Module/Install/PaxHeaders.24981/Include.pm,Mojolicious-Plugin-MethodOverride-0.053/inc/Module/Install/PaxHeaders.24981/Include.pm,Mojolicious-Plugin-MethodOverride-0.053/inc/Module/Install/PaxHeaders.24981/Makefile.pm,Mojolicious-Plugin-MethodOverride-0.053/inc/Module/Install/PaxHeaders.24981/Makefile.pm,Mojolicious-Plugin-MethodOverride-0.053/inc/Module/Install/PaxHeaders.24981/Win32.pm,Mojolicious-Plugin-MethodOverride-0.053/inc/Module/Install/PaxHeaders.24981/Win32.pm,Mojolicious-Plugin-MethodOverride-0.053/inc/Module/Install/PaxHeaders.24981/Metadata.pm,Mojolicious-Plugin-MethodOverride-0.053/inc/Module/Install/PaxHeaders.24981/Metadata.pm,Mojolicious-Plugin-MethodOverride-0.053/inc/Module/Install/PaxHeaders.24981/Fetch.pm,Mojolicious-Plugin-MethodOverride-0.053/inc/Module/Install/PaxHeaders.24981/Fetch.pm,Mojolicious-Plugin-MethodOverride-0.053/inc/Module/Install/PaxHeaders.24981/Can.pm,Mojolicious-Plugin-MethodOverride-0.053/inc/Module/Install/PaxHeaders.24981/Can.pm,Mojolicious-Plugin-MethodOverride-0.053/inc/Module/Install/PaxHeaders.24981/AutoInstall.pm,Mojolicious-Plugin-MethodOverride-0.053/inc/Module/Install/PaxHeaders.24981/AutoInstall.pm,Mojolicious-Plugin-MethodOverride-0.053/inc/Module/Install/PaxHeaders.24981/WriteAll.pm,Mojolicious-Plugin-MethodOverride-0.053/inc/Module/Install/PaxHeaders.24981/WriteAll.pm,Mojolicious-Plugin-MethodOverride-0.053/inc/Module/Install/PaxHeaders.24981/Base.pm,Mojolicious-Plugin-MethodOverride-0.053/inc/Module/Install/PaxHeaders.24981/Base.pm,Mojolicious-Plugin-MethodOverride-0.053/inc/Module/PaxHeaders.24981/Install.pm,Mojolicious-Plugin-MethodOverride-0.053/inc/Module/PaxHeaders.24981/Install.pm,Mojolicious-Plugin-MethodOverride-0.053/PaxHeaders.24981/Makefile.PL,Mojolicious-Plugin-MethodOverride-0.053/PaxHeaders.24981/Makefile.PL,Mojolicious-Plugin-MethodOverride-0.053/PaxHeaders.24981/Changes,Mojolicious-Plugin-MethodOverride-0.053/PaxHeaders.24981/Changes,Mojolicious-Plugin-MethodOverride-0.053/PaxHeaders.24981/MANIFEST,Mojolicious-Plugin-MethodOverride-0.053/PaxHeaders.24981/MANIFEST

has_meta_json

Add a META.json to the distribution. Your buildtool should be able to autogenerate it.

has_separate_license_file

This is not a critical issue. Currently mainly informative for the CPANTS authors. It might be removed later.

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

Modules

Name Abstract Version View
Mojolicious::Plugin::MethodOverride Simulate HTTP Verbs 0.053 metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.yml metacpan
Makefile.PL metacpan
README.md metacpan